commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Gregory <garydgreg...@gmail.com>
Subject [collections] code coverage too low?
Date Wed, 03 Jan 2018 18:10:44 GMT
Hi All:

[INFO] --- jacoco-maven-plugin:0.7.9:check (check) @ commons-collections4
---
[INFO] Loading execution data file
C:\vcs\git\apache\commons\commons-collections\target\jacoco.exec
[INFO] Analyzed bundle 'commons-collections4' with 474 classes
[WARNING] Rule violated for bundle commons-collections4: classes covered
ratio is 0.98, but expected minimum is 1.00
[WARNING] Rule violated for bundle commons-collections4: instructions
covered ratio is 0.85, but expected minimum is 0.90
[WARNING] Rule violated for bundle commons-collections4: methods covered
ratio is 0.86, but expected minimum is 0.95
[WARNING] Rule violated for bundle commons-collections4: branches covered
ratio is 0.80, but expected minimum is 0.85
[WARNING] Rule violated for bundle commons-collections4: lines covered
ratio is 0.86, but expected minimum is 0.90
[WARNING] Rule violated for bundle commons-collections4: complexity covered
ratio is 0.78, but expected minimum is 0.85
[WARNING] Coverage checks have not been met. See log for details.

If anyone wants to scratch that itch...

Gary

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message